'use strict';
const _ = require('lodash');
const colors = require('colors');
class AppBootHook {
  constructor(app) {
    this.app = app;
  }

  async willReady() {}

  async serverDidReady() {
    // 应用已经启动完毕
    const ctx = await this.app.createAnonymousContext();
    ctx.service.util.install.init();
    // 初始化死信机制
    ctx.service.util.rabbitMq.initDeadProcess();
    // await ctx.service.util.rabbitMq.mission();
  }
}
module.exports = AppBootHook;
