'use strict';
const meta = require('./config/.storeGoods.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

//
class StoreGoodsController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.user.storeGoods;
  }
  async userView() {
    const { skip, limit } = this.ctx.query;
    const { list, total } = await this.service.userView(this.ctx.query, { skip, limit });
    this.ctx.ok({ data: list, total });
  }

}
module.exports = CrudController(StoreGoodsController, meta);
