'use strict';
const meta = require('./config/.storeShop.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 
class StoreShopController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.user.storeShop;
  }
  async userView() {
    const { skip, limit } = this.ctx.query;
    const { list, total } = await this.service.userView(this.ctx.query, { skip, limit });
    this.ctx.ok({ data: list, total });
  }
}
module.exports = CrudController(StoreShopController, meta);
