'use strict';
const _ = require('lodash');
module.exports = options => {
  return async function setuserfromtoken(ctx, next) {
    const token = _.get(ctx.request, 'header.token');
    if (token) {
      const data = ctx.service.util.jwt.decode(token);
      if (data) ctx.user = data;
    }
    // 添加管理员身份
    const adminToken = _.get(ctx.request, 'header.admin-token');
    if (adminToken) {
      const data = ctx.service.util.jwt.decode(adminToken);
      if (data) ctx.admin = data;
    }
    await next();
  };
};
