'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.get('/m1', controller.home.m1);
  require('./z_router/dev/index')(app); // 开发者使用部分
  require('./z_router/user/index')(app); // 用户部分
  require('./z_router/system/index')(app); // 系统部分
  require('./z_router/shop/index')(app); // 店铺部分
  require('./z_router/trade/index')(app); // 交易部分
  require('./z_router/group/index')(app); // 团购部分

  require('./z_router/view/index')(app); // 视图部分
  require('./z_router/util')(app); // 工具接口
  require('./z_router/trade/pay')(app); // 支付接口
  require('./z_router/statistics/index')(app); // 统计部分
};
