'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

//
class DictDataService extends CrudService {
  constructor(ctx) {
    super(ctx, 'dictdata');
    this.model = this.ctx.model.Dev.DictData;
  }

  async getDictData(query) {
    return await this.model.findOne(query);
  }
}

module.exports = DictDataService;
