'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

//
class ActTagsService extends CrudService {
  constructor(ctx) {
    super(ctx, 'acttags');
    this.model = this.ctx.model.System.ActTags;
  }

  async getData({ value }) {
    const data = await this.model.findOne({ value });
    return data;
  }
}

module.exports = ActTagsService;
