'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'statistics/bill';
const ckey = 'statistics.bill';
const keyZh = '账单';
const routes = [
  { method: 'post', path: `${rkey}/outBill`, controller: `${ckey}.outBill`, name: `${ckey}outBill`, zh: `${keyZh}出账标记` },
  { method: 'get', path: `${rkey}/getBill`, controller: `${ckey}.getBill`, name: `${ckey}getBill`, zh: `${keyZh}账单` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
