'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'pay';
const ckey = 'trade.pay';
const keyZh = '支付接口';
const routes = [
  { method: 'post', path: `${rkey}/order/:id`, controller: `${ckey}.callBackPayOrder`, zh: `${keyZh}-支付回调函数` },
  { method: 'post', path: `${rkey}/toPayOrder`, controller: `${ckey}.toPayOrder`, zh: `${keyZh}-去支付订单` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
