'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'storeGoods';
const ckey = 'user.storeGoods';
const keyZh = '收藏商品';
const routes = [
  { method: 'get', path: `${rkey}/userView`, controller: `${ckey}.userView`, name: `${ckey}userView`, zh: `${keyZh}-用户查看收藏` },
  { method: 'get', path: `${rkey}/check`, controller: `${ckey}.check`, name: `${ckey}check`, zh: `${keyZh}-检查是否收藏` },
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'post', path: `${rkey}`, controller: `${ckey}.create`, name: `${ckey}Create`, zh: `创建${keyZh}` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
