'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'viewGoods';
const ckey = 'view.goods';
const keyZh = '商品相关视图';
const routes = [
  { method: 'get', path: `${rkey}/iatg`, controller: `${ckey}.iatg`, name: `${ckey}iatg`, zh: '首页活动标签商品' },
  { method: 'post', path: `${rkey}/goodsDetail`, controller: `${ckey}.goodsDetail`, name: `${ckey}GoodsDetail`, zh: '商品页' },
  { method: 'get', path: `${rkey}/indexGoodsList`, controller: `${ckey}.indexGoodsList`, name: `${ckey}indexGoodsList`, zh: '首页商品列表' },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
