'use strict';
module.exports = appInfo => {
  const config = (exports = {});
  // 数据库设置
  config.dbName = 'point_shopping';
  config.mongoose = {
    url: `mongodb://127.0.0.1:27017/${config.dbName}`, // 120.48.146.1 127.0.0.1
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useFindAndModify: true,
    },
  };
  // mq设置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'tehq',
      password: 'tehq',
      vhost: 'tehq',
    },
    app: true,
    agent: true,
  };
  // redis设置
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 1,
    },
  };
  config.emailConfig = {
    config: 'tehq',
  };
  config.smsConfig = {
    config: 'tehq',
  };
  config.wxPayConfig = 'tnhqApp';
  return {
    ...config,
  };
};
