module.exports = {
  create: {
    requestBody: ['label', 'value', 'sort', 'code', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['label', 'value', 'sort', 'code', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        label: '%label%',
        value: 'value',
        code: 'code',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['sort'],
      asc: true,
      count: true,
    },
  },
  getDictData: {
    parameters: {
      query: {
        value: 'value',
        code: 'code',
        status: 'status',
      },
    },
  },
};
