module.exports = {
  create: {
    requestBody: ['platformAct', 'shop', 'goods', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['platformAct', 'shop', 'goods', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        platformAct: 'platformAct',
        shop: 'shop',
        goods: 'goods',
        status: 'status',
        goods_name: 'goods_name',
        shop_name: 'shop_name',
      },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: false,
    },
  },
};
