module.exports = {
  update: {
    params: ['!id'],
    requestBody: ['name', 'code', 'person', 'phone', 'address', 'file', 'status'],
  },
  index: {
    parameters: {
      query: {},
    },
  },
  goods: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: 'name',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'goods',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
