module.exports = {
  create: {
    requestBody: ['qrcode', 'goods_score', 'send_score', 'service_score', 'logo', 'name', 'code', 'person', 'phone', 'address', 'file', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['qrcode', 'goods_score', 'send_score', 'service_score', 'logo', 'name', 'code', 'person', 'phone', 'address', 'file', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: '%name%',
        code: 'code',
        person: 'person',
        phone: 'phone',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
