module.exports = [
  // 休闲食品
  {
    label: '休闲食品',
    code: 'xxsp',
    children: [
      {
        label: '坚果炒货',
        code: 'jgch',
        children: [
          {
            label: '核桃',
            code: 'ht',
          },
          {
            label: '长寿果|碧根果',
            code: 'csg|bgg',
          },
          {
            label: '夏威夷果',
            code: 'xwyg',
          },
          {
            label: '腰果',
            code: 'yg',
          },
          {
            label: '松子',
            code: 'sz',
          },
          {
            label: '杏仁|巴旦木',
            code: 'xr|bdm',
          },
          {
            label: '榛子',
            code: 'zz',
          },
          {
            label: '瓜子',
            code: 'gz',
          },
          {
            label: '花生|花生仁',
            code: 'hs|hsr',
          },
          {
            label: '混合干果',
            code: 'hhgg',
          },
          {
            label: '其他干果',
            code: 'qtgg',
          },
        ],
      },
      {
        label: '糖果|巧克力',
        code: 'tg|qkl',
        children: [
          {
            label: '糖果',
            code: 'tg',
          },
          {
            label: '巧克力',
            code: 'qkl',
          },
        ],
      },
      {
        label: '肉干肉脯',
        code: 'rgrp',
        children: [
          {
            label: '肉类',
            code: 'rl',
          },
          {
            label: '海产品',
            code: 'hcp',
          },
          {
            label: '即食蛋制品',
            code: 'jsdzp',
          },
        ],
      },
      {
        label: '饼干糕点',
        code: 'bggd',
        children: [
          {
            label: '饼干',
            code: 'bg',
          },
          {
            label: '传统糕点',
            code: 'ctgd',
          },
          {
            label: '西式糕点',
            code: 'xsgd',
          },
        ],
      },
      {
        label: '休闲零食',
        code: 'xxls',
        children: [
          {
            label: '膨化食品',
            code: 'phsp',
          },
          {
            label: '果冻布丁',
            code: 'gdbd',
          },
          {
            label: '豆类制品',
            code: 'dlzp',
          },
          {
            label: '奶酪|乳制品',
            code: 'nl|rzp',
          },
          {
            label: '海苔',
            code: 'ht',
          },
          {
            label: '蜜饯果干',
            code: 'mjgg',
          },
          {
            label: '其他零食',
            code: 'qtls',
          },
        ],
      },
    ],
  },
  // 进口食品
  {
    label: '进口食品',
    code: 'jksp',
    children: [
      {
        label: '进口坚果蜜饯',
        code: 'jkjgmj',
        children: [
          {
            label: '进口坚果',
            code: 'jkjg',
          },
          {
            label: '进口蜜饯干果',
            code: 'jkmjgg',
          },
        ],
      },
      {
        label: '进口糖果巧克力',
        code: 'jktgqkl',
        children: [
          {
            label: '进口糖果',
            code: 'jktg',
          },
          {
            label: '进口巧克力',
            code: 'jkqkl',
          },
        ],
      },
      {
        label: '进口饼干糕点',
        code: 'jkbggd',
        children: [
          {
            label: '进口饼干',
            code: 'jkbg',
          },
          {
            label: '进口糕点',
            code: 'jkgd',
          },
        ],
      },
      {
        label: '进口休闲零食',
        code: 'jkxxls',
        children: [
          {
            label: '进口膨化食品',
            code: 'jkphsp',
          },
          {
            label: '进口海苔|海味零食',
            code: 'jkht|hwls',
          },
          {
            label: '进口果冻布丁',
            code: 'jkgdbd',
          },
          {
            label: '进口肉类|豆类即食',
            code: 'jkrl|dljs',
          },
        ],
      },
      {
        label: '进口粮油调味',
        code: 'jklytw',
        children: [
          {
            label: '进口米|面',
            code: 'jkm|m',
          },
          {
            label: '进口食用油',
            code: 'jksyy',
          },
          {
            label: '进口调味品',
            code: 'jktwp',
          },
          {
            label: '进口方便面',
            code: 'jkfbm',
          },
        ],
      },
      {
        label: '进口饮料冲调',
        code: 'jkylct',
        children: [
          {
            label: '进口果汁|蔬菜汁',
            code: 'jkgz|scz',
          },
          {
            label: '进口饮用水',
            code: 'jkyys',
          },
          {
            label: '进口碳酸饮料',
            code: 'jktsyl',
          },
          {
            label: '进口牛奶乳品',
            code: 'jknnrp',
          },
          {
            label: '进口咖啡|奶茶',
            code: 'jkff|nc',
          },
          {
            label: '进口果味饮料',
            code: 'jkgwyl',
          },
          {
            label: '进口冲调|谷物',
            code: 'jkct|gw',
          },
          {
            label: '进口茶饮料',
            code: 'jkcyl',
          },
          {
            label: '进口功能饮料',
            code: 'jkgnyl',
          },
        ],
      },
    ],
  },
  // 食品粮油
  {
    label: '粮油调味',
    code: 'lytw',
    children: [
      {
        label: '米面杂粮',
        code: 'mmzl',
        children: [
          {
            label: '面',
            code: 'mian',
          },
          {
            label: '米',
            code: 'mi',
          },
          {
            label: '杂粮',
            code: 'zl',
          },
          {
            label: '面条|挂面',
            code: 'mt|gm',
          },
        ],
      },
      {
        label: '方便食品',
        code: 'fbsp',
        children: [
          {
            label: '方便面|粉丝|米线',
            code: 'fbm|fs|mx',
          },
          {
            label: '火腿肠',
            code: 'htc',
          },
          {
            label: '速食粥',
            code: 'ssz',
          },
          {
            label: '罐头',
            code: 'gt',
          },
          {
            label: '方便面',
            code: 'fbm',
          },
          {
            label: '熟食腊味',
            code: 'sslw',
          },
          {
            label: '其他素食',
            code: 'qtss',
          },
        ],
      },
      {
        label: '食用油',
        code: 'syy',
        children: [
          {
            label: '玉米油',
            code: 'ymy',
          },
          {
            label: '大豆油',
            code: 'ddy',
          },
          {
            label: '葵花籽油',
            code: 'khzy',
          },
          {
            label: '花生油',
            code: 'hsy',
          },
          {
            label: '橄榄油',
            code: 'gly',
          },
          {
            label: '调和油',
            code: 'thy',
          },
          {
            label: '亚麻籽油',
            code: 'ymzy',
          },
          {
            label: '山茶油',
            code: 'scy',
          },
          {
            label: '其他食用油',
            code: 'qtsyy',
          },
        ],
      },
      {
        label: '调味品',
        code: 'twp',
        children: [
          {
            label: '酱油',
            code: 'jy',
          },
          {
            label: '醋',
            code: 'c',
          },
          {
            label: '香油|调味油',
            code: 'xy|twy',
          },
          {
            label: '麻酱',
            code: 'mj',
          },
          {
            label: '调味酱',
            code: 'twj',
          },
          {
            label: '料酒|黄酒',
            code: 'lj|hj',
          },
          {
            label: '调味料',
            code: 'twl',
          },
          {
            label: '盐',
            code: 'y',
          },
          {
            label: '糖',
            code: 't',
          },
          {
            label: '鸡精|味精',
            code: 'jj|wj',
          },
          {
            label: '酱菜|下饭菜',
            code: 'jc|xfc',
          },
        ],
      },
      {
        label: '烘焙原料',
        code: 'hbyl',
        children: [
          {
            label: '专用粉',
            code: 'zyf',
          },
          {
            label: '糖粉|霜',
            code: 'tf|s',
          },
          {
            label: '烘焙调味品',
            code: 'hbtwp',
          },
          {
            label: '馅料',
            code: 'xl',
          },
          {
            label: '添加剂',
            code: 'tjj',
          },
          {
            label: '烘焙辅料',
            code: 'hbfl',
          },
          {
            label: '芝士|奶酪',
            code: 'zs|nl',
          },
          {
            label: '黄油',
            code: 'hy',
          },
          {
            label: '淡奶油',
            code: 'dny',
          },
          {
            label: '其他烘焙原料',
            code: 'qthbyl',
          },
        ],
      },
      {
        label: '南北干货',
        code: 'nbgh',
        children: [
          {
            label: '木耳|银耳',
            code: 'me|ye',
          },
          {
            label: '菌类|香菇',
            code: 'jl|xg',
          },
          {
            label: '海带|干菜',
            code: 'hd|gc',
          },
          {
            label: '干海产品',
            code: 'ghcp',
          },
          {
            label: '其他干货',
            code: 'qtgh',
          },
        ],
      },
    ],
  },
  // 酒饮冲调
  {
    label: '酒饮冲调',
    code: 'jyct',
    children: [
      {
        label: '饮料冲调',
        code: 'ylct',
        children: [
          {
            label: '果汁|蔬菜汁',
            code: 'gz|scz',
          },
          {
            label: '饮用水',
            code: 'yys',
          },
          {
            label: '碳酸饮料',
            code: 'tsyl',
          },
          {
            label: '冲调|谷物',
            code: 'ct|gw',
          },
          {
            label: '牛奶乳品',
            code: 'nnrp',
          },
          {
            label: '咖啡|奶茶',
            code: 'kf|nc',
          },
          {
            label: '功能饮料',
            code: 'gnyl',
          },
          {
            label: '果味饮料',
            code: 'gwyl',
          },
          {
            label: '茶饮料',
            code: 'cyl',
          },
          {
            label: '植物蛋白饮',
            code: 'zwdby',
          },
          {
            label: '含乳饮品',
            code: 'hryp',
          },
        ],
      },
      {
        label: '茗茶',
        code: 'mc',
        children: [
          {
            label: '绿茶',
            code: 'lc',
          },
          {
            label: '红茶',
            code: 'hongc',
          },
          {
            label: '乌龙茶',
            code: 'wlc',
          },
          {
            label: '花草茶',
            code: 'hcc',
          },
          {
            label: '黑茶',
            code: 'heic',
          },
          {
            label: '白茶',
            code: 'bc',
          },
          {
            label: '养生茶',
            code: 'ysc',
          },
          {
            label: '袋泡茶',
            code: 'dpc',
          },
          {
            label: '其他茶',
            code: 'qtc',
          },
        ],
      },
      {
        label: '中外名酒',
        code: 'zwmj',
        children: [
          {
            label: '进口红酒',
            code: 'jkhj',
          },
          {
            label: '进口啤酒',
            code: 'jkpj',
          },
          {
            label: '进口洋酒',
            code: 'jkyj',
          },
          {
            label: '国产红酒',
            code: 'gchj',
          },
          {
            label: '国产啤酒',
            code: 'gcpj',
          },
          {
            label: '国产洋酒',
            code: 'gcyj',
          },
          {
            label: '白酒',
            code: 'bj',
          },
          {
            label: '黄酒|养生酒',
            code: 'hj|ysj',
          },
          {
            label: '收藏酒|陈年老酒',
            code: 'scj|cnlj',
          },
        ],
      },
    ],
  },
  // 时令水果
  {
    label: '时令水果',
    code: 'slsg',
    children: [
      {
        label: '时令水果',
        code: 'slsg',
        children: [
          {
            label: '苹果',
            code: 'pg',
          },
          {
            label: '香蕉',
            code: 'xj',
          },
          {
            label: '梨',
            code: 'l',
          },
          {
            label: '橙子',
            code: 'cz',
          },
          {
            label: '奇异果|猕猴桃',
            code: 'qyg|mht',
          },
          {
            label: '火龙果',
            code: 'hlg',
          },
          {
            label: '瓜类',
            code: 'gl',
          },
          {
            label: '芒果',
            code: 'mg',
          },
          {
            label: '百香果',
            code: 'bxg',
          },
          {
            label: '其他水果',
            code: 'qtsg',
          },
        ],
      },
    ],
  },
  // 品质生鲜
  {
    label: '品质生鲜',
    code: 'pzsx',
    children: [
      {
        label: '海鲜水产',
        code: 'hxsc',
        children: [
          {
            label: '虾类',
            code: 'xial',
          },
          {
            label: '鱼类',
            code: 'yl',
          },
          {
            label: '蟹类',
            code: 'xiel',
          },
          {
            label: '贝类',
            code: 'bl',
          },
          {
            label: '海参',
            code: 'hs',
          },
          {
            label: '水产礼盒',
            code: 'sclh',
          },
          {
            label: '其他水产',
            code: 'qtsc',
          },
        ],
      },
      {
        label: '蛋品',
        code: 'dp',
        children: [
          {
            label: '新鲜蛋类',
            code: 'xxdl',
          },
          {
            label: '加工蛋类',
            code: 'jgdl',
          },
        ],
      },
      {
        label: '优品时蔬',
        code: 'ypss',
        children: [
          {
            label: '新鲜蔬菜',
            code: 'xxsc',
          },
        ],
      },
      {
        label: '肉',
        code: 'rou',
        children: [
          {
            label: '牛肉',
            code: 'nr',
          },
          {
            label: '羊肉',
            code: 'yr',
          },
          {
            label: '猪肉',
            code: 'zr',
          },
          {
            label: '禽类',
            code: 'ql',
          },
        ],
      },
      {
        label: '熟食',
        code: 'ss',
        children: [
          {
            label: '清真',
            code: 'qz',
          },
          {
            label: '非清真',
            code: 'fqz',
          },
        ],
      },
    ],
  },
  // 居家用品
  {
    label: '居家用品',
    code: 'jjyp',
    children: [
      {
        label: '厨具',
        code: 'cj',
        children: [
          {
            label: '烹饪锅具',
            code: 'prgj',
          },
          {
            label: '刀剪菜板',
            code: 'djcb',
          },
          {
            label: '餐具',
            code: 'canj',
          },
          {
            label: '厨房配件',
            code: 'cfpj',
          },
          {
            label: '水具',
            code: 'sj',
          },
          {
            label: '酒具',
            code: 'jj',
          },
          {
            label: '茶具|咖啡具',
            code: 'cj|kfj',
          },
        ],
      },
      {
        label: '家纺',
        code: 'jf',
        children: [
          {
            label: '床品套件',
            code: 'cptj',
          },
          {
            label: '被子',
            code: 'bz',
          },
          {
            label: '枕头枕芯',
            code: 'ztzx',
          },
          {
            label: '毛巾浴巾',
            code: 'mjyj',
          },
          {
            label: '地毯地垫',
            code: 'dtdd',
          },
          {
            label: '床垫床褥',
            code: 'cdcr',
          },
          {
            label: '毯子',
            code: 'tz',
          },
          {
            label: '抱枕靠垫',
            code: 'bzkd',
          },
          {
            label: '窗帘窗纱',
            code: 'clcs',
          },
          {
            label: '床单被罩',
            code: 'cdbz',
          },
          {
            label: '枕巾枕套',
            code: 'zjzt',
          },
          {
            label: '沙发垫套|椅垫',
            code: 'sfdt|yd',
          },
          {
            label: '桌布|罩件',
            code: 'zb|zj',
          },
          {
            label: '布艺软饰',
            code: 'byrs',
          },
        ],
      },
      {
        label: '日用杂货',
        code: 'ryzh',
        children: [
          {
            label: '收纳用品',
            code: 'snyp',
          },
          {
            label: '雨伞雨具',
            code: 'ysyj',
          },
          {
            label: '净化除味',
            code: 'jhcw',
          },
          {
            label: '浴室用品',
            code: 'ysyp',
          },
          {
            label: '洗晒|熨烫',
            code: 'xs|yt',
          },
          {
            label: '缝纫|针织用品',
            code: 'fr|zzyp',
          },
        ],
      },
    ],
  },
  // 个护清洁
  {
    label: '个护清洁',
    code: 'ghqj',
    children: [
      {
        label: '面部护肤',
        code: 'mbhf',
        children: [
          {
            label: '洁面',
            code: 'jm',
          },
          {
            label: '卸妆',
            code: 'xz',
          },
          {
            label: '补水保湿',
            code: 'bsbs',
          },
          {
            label: '爽肤水',
            code: 'sfs',
          },
          {
            label: '乳液面霜',
            code: 'ryms',
          },
          {
            label: '眼霜',
            code: 'ys',
          },
          {
            label: '精华',
            code: 'jh',
          },
          {
            label: '防晒',
            code: 'fs',
          },
          {
            label: '面膜',
            code: 'mm',
          },
          {
            label: '剃须',
            code: 'tx',
          },
          {
            label: '套装',
            code: 'taoz',
          },
        ],
      },
      {
        label: '洗发护发',
        code: 'xfhf',
        children: [
          {
            label: '洗发',
            code: 'xf',
          },
          {
            label: '护发',
            code: 'hf',
          },
          {
            label: '染发',
            code: 'rf',
          },
          {
            label: '定型造型',
            code: 'dxzx',
          },
          {
            label: '假发',
            code: 'jiaf',
          },
          {
            label: '美发工具',
            code: 'mfgj',
          },
          {
            label: '套装',
            code: 'taoz',
          },
        ],
      },
      {
        label: '身体护理',
        code: 'sthl',
        children: [
          {
            label: '沐浴',
            code: 'my',
          },
          {
            label: '润肤|身体乳',
            code: 'rf|str',
          },
          {
            label: '颈部护理',
            code: 'jbhl',
          },
          {
            label: '手足护理',
            code: 'szhl',
          },
          {
            label: '花露水|驱蚊液',
            code: 'hls|qwy',
          },
          {
            label: '纤体塑形',
            code: 'xtsx',
          },
          {
            label: '套装',
            code: 'tz',
          },
        ],
      },
      {
        label: '口腔护理',
        code: 'kqhl',
        children: [
          {
            label: '牙膏|牙粉',
            code: 'yg|yf',
          },
          {
            label: '牙刷|牙线',
            code: 'ys|yx',
          },
          {
            label: '漱口水',
            code: 'sks',
          },
          {
            label: '套装',
            code: 'tz',
          },
        ],
      },
      {
        label: '女性护理',
        code: 'nxhl',
        children: [
          {
            label: '卫生巾',
            code: 'wsj',
          },
          {
            label: '卫生棉条',
            code: 'wsmt',
          },
          {
            label: '卫生护垫',
            code: 'wshd',
          },
        ],
      },
      {
        label: '香水彩妆',
        code: 'xscz',
        children: [
          {
            label: '隔离|妆前乳',
            code: 'gl|zqr',
          },
          {
            label: 'BB霜|气垫',
            code: 'BBs|qd',
          },
          {
            label: '粉饼粉底',
            code: 'fbfd',
          },
          {
            label: '眉笔|粉',
            code: 'mb|f',
          },
          {
            label: '眼影',
            code: 'yy',
          },
          {
            label: '眼线笔|液',
            code: 'yxb|y',
          },
          {
            label: '睫毛膏',
            code: 'jmg',
          },
          {
            label: '口红|唇彩',
            code: 'kh|cc',
          },
          {
            label: '腮红',
            code: 'sh',
          },
          {
            label: '美甲',
            code: 'mj',
          },
          {
            label: '美妆工具',
            code: 'mzgj',
          },
          {
            label: '女士香水',
            code: 'nvsxs',
          },
          {
            label: '男士香水',
            code: 'nansxs',
          },
          {
            label: '套装',
            code: 'tz',
          },
        ],
      },
      {
        label: '清洁用品',
        code: 'qjyp',
        children: [
          {
            label: '纸巾湿巾',
            code: 'zjsj',
          },
          {
            label: '衣物清洁',
            code: 'ywqj',
          },
          {
            label: '清洁工具',
            code: 'qjgj',
          },
          {
            label: '家庭清洁',
            code: 'jtqj',
          },
          {
            label: '一次性用品',
            code: 'ycxyp',
          },
          {
            label: '驱虫用品',
            code: 'qcyp',
          },
          {
            label: '皮具护理',
            code: 'pjhl',
          },
        ],
      },
    ],
  },
  // 3C产品
  {
    label: '3C产品',
    code: '3Ccp',
    children: [
      {
        label: '手机数码',
        code: 'sjsm',
        children: [
          {
            label: '手机',
            code: 'sj',
          },
          {
            label: '摄影摄像',
            code: 'sysx',
          },
          {
            label: '智能设备',
            code: 'znsb',
          },
        ],
      },
      {
        label: '数码配件',
        code: 'smpj',
        children: [
          {
            label: '手机壳',
            code: 'sjk',
          },
          {
            label: '手机贴膜',
            code: 'sjtm',
          },
          {
            label: '充电器|数据线',
            code: 'cdq|sjx',
          },
          {
            label: '移动电源',
            code: 'yddy',
          },
          {
            label: '耳机|耳麦',
            code: 'ej|em',
          },
          {
            label: '其他配件',
            code: 'qtpj',
          },
        ],
      },
    ],
  },
  // 母婴玩具
  {
    label: '母婴玩具',
    code: 'mywj',
    children: [
      {
        label: '玩具',
        code: 'wj',
        children: [
          {
            label: '积木拼插',
            code: 'jmpc',
          },
        ],
      },
      {
        label: '洗护用品',
        code: 'xhyp',
        children: [
          {
            label: '宝宝护肤',
            code: 'bbhf',
          },
          {
            label: '洗发沐浴',
            code: 'xfmy',
          },
          {
            label: '驱蚊防晒',
            code: 'qwfs',
          },
          {
            label: '口腔护理',
            code: 'kqhl',
          },
          {
            label: '日常清洁',
            code: 'rcqj',
          },
          {
            label: '衣物清洁',
            code: 'ywqj',
          },
        ],
      },
      {
        label: '婴幼儿奶粉',
        code: 'yyenf',
        children: [
          {
            label: '婴儿奶粉',
            code: 'yenf',
          },
          {
            label: '儿童奶粉',
            code: 'etnf',
          },
          {
            label: '孕妇奶粉',
            code: 'yfnf',
          },
        ],
      },
    ],
  },
  // 服饰配件
  {
    label: '服饰配件',
    code: 'fspj',
    children: [
      {
        label: '服装',
        code: 'fz',
        children: [
          {
            label: '男装',
            code: 'nanz',
          },
          {
            label: '女装',
            code: 'nvz',
          },
        ],
      },
      {
        label: '户外运动',
        code: 'hwyd',
        children: [
          {
            label: '户外用品',
            code: 'hwyp',
          },
        ],
      },
    ],
  },
  // 礼卡专区
  {
    label: '礼卡专区',
    code: 'lkzq',
    children: [
      {
        label: '礼卡专区',
        code: 'lkzq',
        children: [
          {
            label: '礼卡专区',
            code: 'lkzq',
          },
        ],
      },
    ],
  },
  // 植物饮食
  {
    label: '植物饮食',
    code: 'zwys',
    children: [
      {
        label: '纯素食品',
        code: 'cssp',
        children: [
          {
            label: '纯素食品',
            code: 'cssp',
          },
          {
            label: '素调味品',
            code: 'stwp',
          },
        ],
      },
      {
        label: '植物食品',
        code: 'zwsp',
        children: [
          {
            label: '植物饮品',
            code: 'zwyp',
          },
          {
            label: '植物食品',
            code: 'zwsp',
          },
        ],
      },
      {
        label: '素行生活',
        code: 'sxsh',
        children: [
          {
            label: '环保用品',
            code: 'hbyp',
          },
          {
            label: '健康用品',
            code: 'jkyp',
          },
        ],
      },
    ],
  },
];
