'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'viewShop';
const ckey = 'view.shop';
const keyZh = 'dianpu相关视图';
const routes = [{ method: 'get', path: `${rkey}/microIndex`, controller: `${ckey}.microIndex`, name: `${ckey}microIndex`, zh: '微店页面查询' }];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
